/*------------------------------------------------------------------------
	Copyright (c) 2006 - 2011 by Burkhardt Renz. All rights reserved.
	$Id: wm2006.als 592 2011-03-10 10:22:45Z br $
  ------------------------------------------------------------------------
	Beispiel WM 2006 aus den Uebungen mit mehreren experimentellen Formulierungen
  von Praedikaten ueber das Verhaetlnis von de und br
  ------------------------------------------------------------------------*/

module lfm/wm2006
	
sig Team{
	besiegt: set Team
}

one sig de extends Team{}
one sig br extends Team{}
one sig fr extends Team{}
one sig nl extends Team{}

// exactly one play between pairs of different teams
fact {
	no besiegt & ~besiegt
}

// each team plays against each other team
fact {
	all x: Team |
		x.besiegt+x.~besiegt = Team-x
}
		
pred Brazil1{
	all x: Team | x->de in besiegt => br->x in  besiegt
}
pred Brazil2{
	all x: Team | x->de in besiegt => ( (x!=br) => br->x in besiegt )
}
pred Brazil3{
	all x: Team | de->x in besiegt => br->x in  besiegt
}

pred findModel(){
	Brazil2  && no de.besiegt
}
run findModel for 4
